Package com.arms.api.requirement.reqstate.service

## Class ReqStateImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.requirement.reqstate.service.ReqStateImpl

- All Implemented Interfaces:
    `ReqState`, `TreeService`

      @Service("reqState")
      public class ReqStateImpl
      extends TreeServiceImpl
      implements ReqState

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReqStateImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cacheArmsStateData()` |
    `void` | `presetCheck​(ReqStateEntity searchReqStateEntity)` |
    `java.util.List<ReqStateEntity>` | `기본_상태_설정​(ReqStateEntity reqStateEntity)` |
    `java.util.Map<java.lang.Long,​ReqStateEntity>` | `완료상태조회()` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### ReqStateImpl

          public ReqStateImpl()

  - ### Method Detail

    - #### 완료상태조회

          public java.util.Map<java.lang.Long,​ReqStateEntity> 완료상태조회()
                                                                    throws java.lang.Exception

      Specified by:
        `완료상태조회` in interface `ReqState`
      Throws:
        `java.lang.Exception`

    - #### 기본_상태_설정

          @Transactional
          public java.util.List<ReqStateEntity> 기본_상태_설정​(ReqStateEntity reqStateEntity)
                                                  throws java.lang.Exception

      Specified by:
        `기본_상태_설정` in interface `ReqState`
      Throws:
        `java.lang.Exception`

    - #### presetCheck

          @Transactional(readOnly=true)
          public void presetCheck​(ReqStateEntity searchReqStateEntity)
                           throws java.lang.Exception

      Specified by:
        `presetCheck` in interface `ReqState`
      Throws:
        `java.lang.Exception`

    - #### cacheArmsStateData

          public void cacheArmsStateData()
                                  throws java.lang.Exception

      Specified by:
        `cacheArmsStateData` in interface `ReqState`
      Throws:
        `java.lang.Exception`